Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 800105 - Review Request: perl-Net-Google-Calendar - Programmatic access to Google's Calendar API [NEEDINFO]
Summary: Review Request: perl-Net-Google-Calendar - Programmatic access to Google's Ca...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW 852213
TreeView+ depends on / blocked
 
Reported: 2012-03-05 18:30 UTC by Avi Alkalay
Modified: 2014-07-18 13:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 852213 (view as bug list)
Environment:
Last Closed: 2014-07-18 13:45:12 UTC
ktdreyer: needinfo? (avibrazil)


Attachments (Terms of Use)

Description Avi Alkalay 2012-03-05 18:30:52 UTC
Spec, RPMs: http://avi.alkalay.net/software/perl-Net-Google-Calendar/

Description:
Interact with Google's new calendar using the GData API.

This RPM was generated by cpanspec.

Comment 1 Tomas Edwardsson 2012-04-17 01:05:58 UTC
This is a informal review


MUST Rpmlint output is silent.			[OK]

rpmlint perl-Net-Google-Calendar-1.0-1.fc17.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint perl-Net-Google-Calendar-1.0-1.fc17.noarch.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


MUST: Buildroot is not present			[FIX]

You should remove Buildroot unless you plan on inclusion
in EPEL5.

See http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag

MUST: Each %files section contains %defattr if  [FIX]
      rpm < 4.4. Note: defattr(....) present in %files
      section. This is OK if packaging for EPEL5.
      Otherwise not needed.

You should remove %defattr unless you plan on inclusion
in EPEL5.

MUST: Package is licensed with an open-source	[FIX]
      compatible license and meets other legal
      requirements as defined in the legal section of
      Packaging Guidelines.


There is no indication in the source of how the code
is licensed.

Comment 2 Petr Pisar 2012-04-30 15:53:53 UTC
Source file is original. Ok.
URL and Source0 are usable. Ok.
Summary verified from lib/Net/Google/Calendar.pm. Ok.
License verified from lib/Net/Google/Calendar.pm. Ok.
Description verified from lib/Net/Google/Calendar.pm. Ok.
No XS or C code found. noarch BuildArch is Ok.

TODO: Remove the unneeded BuildRoot tag.

FIX: Build-require `perl(XML::Atom::Link) for running tests (lib/Net/Google/Calendar/WebContent.pm:5)

TODO: Build-require `perl(base) for running tests because this module can dual-live in the future (lib/Net/Google/Calendar/WebContent.pm:8)

FIX: Build-require `perl(XML::Atom::Feed)' for running tests (lib/Net/Google/Calendar/FeedLink.pm:4)
FIX: Build-require `perl(XML::Atom::Entry)' for running tests (lib/Net/Google/Calendar/FeedLink.pm:5)
FIX: Build-require `perl(LWP::Simple)' for running tests (lib/Net/Google/Calendar/FeedLink.pm:7)
FIX: Build-require `perl(XML::Atom::Thing)' for running tests (lib/Net/Google/Calendar/Base.pm:4)
FIX: Build-require `perl(XML::Atom::Util)' for running tests (lib/Net/Google/Calendar/Base.pm:5)
FIX: Build-require `perl(XML::Atom::Person)' for running tests (lib/Net/Google/Calendar/Person.pm:4)
FIX: Build-require `perl(Data::Dumper)' for running tests (lib/Net/Google/Calendar/Entry.pm:4)

Data::ICal and Data::ICal::Entry::Event not requires because they are optional. Ok.

FIX: Build-require `perl(HTTP::Cookies)' for running tests (lib/Net/Google/Calendar.pm:5)
FIX: Build-require `perl(HTTP::Request)' for running tests (lib/Net/Google/Calendar.pm:6)
FIX: Build-require `perl(HTTP::Headers)' for running tests (lib/Net/Google/Calendar.pm:7)
FIX: Build-require `perl(HTTP::Request::Common)' for running tests (lib/Net/Google/Calendar.pm:8)
FIX: Build-require `perl(Carp)' for running tests (lib/Net/Google/Calendar.pm:18)

TODO: Build-require `perl(Encode) for running tests because this module can dual-live in the future (lib/Net/Google/Calendar.pm:798)

TODO: Build-require `perl(lib)' for running tests because this module can dual-live in the future (t/02events.t:6)
TODO: Build-require `perl(Test::Pod) >= 1.14' for running optional tests (t/pod.t:7)
TODO: Build-require `perl(Test::Pod::Coverage) >= 1.04' for running optional tests (t/pod-coverage.t:6)

TODO: Remove unneeded `rm -rf $RPM_BUILD_ROOT' command from %install section
TODO: Remove unneeded %clean section
TODO: Remove unneeded %defattr macro from %files section

TODO: Do not package `Readme' file as it deliver instruction for packager, not for the user or developer.

All tests pass. Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-Net-Google-Calendar-1.0-1.fc18.noarch.rpm 
drwxr-xr-x    2 root    root                        0 Apr 30 17:34 /usr/share/doc/perl-Net-Google-Calendar-1.0
-rw-r--r--    1 root    root                     2896 Jul 20  2010 /usr/share/doc/perl-Net-Google-Calendar-1.0/Changes
-rw-r--r--    1 root    root                       88 Jul 20  2010 /usr/share/doc/perl-Net-Google-Calendar-1.0/Readme
-rw-r--r--    1 root    root                      197 Jul 20  2010 /usr/share/doc/perl-Net-Google-Calendar-1.0/TODO
-rw-r--r--    1 root    root                      291 Jul 20  2010 /usr/share/doc/perl-Net-Google-Calendar-1.0/USAGE
-rw-r--r--    1 root    root                     6319 Apr 30 17:34 /usr/share/man/man3/Net::Google::Calendar.3pm.gz
-rw-r--r--    1 root    root                     1739 Apr 30 17:34 /usr/share/man/man3/Net::Google::Calendar::Base.3pm.gz
-rw-r--r--    1 root    root                     2103 Apr 30 17:34 /usr/share/man/man3/Net::Google::Calendar::Calendar.3pm.gz
-rw-r--r--    1 root    root                     2207 Apr 30 17:34 /usr/share/man/man3/Net::Google::Calendar::Comments.3pm.gz
-rw-r--r--    1 root    root                     3585 Apr 30 17:34 /usr/share/man/man3/Net::Google::Calendar::Entry.3pm.gz
-rw-r--r--    1 root    root                     2379 Apr 30 17:34 /usr/share/man/man3/Net::Google::Calendar::FeedLink.3pm.gz
-rw-r--r--    1 root    root                     2064 Apr 30 17:34 /usr/share/man/man3/Net::Google::Calendar::Person.3pm.gz
-rw-r--r--    1 root    root                     2647 Apr 30 17:34 /usr/share/man/man3/Net::Google::Calendar::WebContent.3pm.gz
drwxr-xr-x    2 root    root                        0 Apr 30 17:34 /usr/share/perl5/vendor_perl/Net
drwxr-xr-x    2 root    root                        0 Apr 30 17:34 /usr/share/perl5/vendor_perl/Net/Google
drwxr-xr-x    2 root    root                        0 Apr 30 17:34 /usr/share/perl5/vendor_perl/Net/Google/Calendar
-rw-r--r--    1 root    root                    20758 Apr 30 17:34 /usr/share/perl5/vendor_perl/Net/Google/Calendar.pm
-rw-r--r--    1 root    root                     1049 Apr 30 17:34 /usr/share/perl5/vendor_perl/Net/Google/Calendar/Base.pm
-rw-r--r--    1 root    root                     3209 Apr 30 17:34 /usr/share/perl5/vendor_perl/Net/Google/Calendar/Calendar.pm
-rw-r--r--    1 root    root                     2231 Apr 30 17:34 /usr/share/perl5/vendor_perl/Net/Google/Calendar/Comments.pm
-rw-r--r--    1 root    root                    16568 Apr 30 17:34 /usr/share/perl5/vendor_perl/Net/Google/Calendar/Entry.pm
-rw-r--r--    1 root    root                     3424 Apr 30 17:34 /usr/share/perl5/vendor_perl/Net/Google/Calendar/FeedLink.pm
-rw-r--r--    1 root    root                     2822 Apr 30 17:34 /usr/share/perl5/vendor_perl/Net/Google/Calendar/Person.pm
-rw-r--r--    1 root    root                     5565 Apr 30 17:34 /usr/share/perl5/vendor_perl/Net/Google/Calendar/WebContent.pm
File permissions and layout are Ok.

TODO: Package bin/google-calendar or remove the USAGE file.

$ rpm -q --requires -p ../RPMS/noarch/perl-Net-Google-Calendar-1.0-1.fc18.noarch.rpm |sort | uniq -c
      1 perl(base)
      1 perl(Carp)
      1 perl(Data::Dumper)
      2 perl(DateTime)
      1 perl(HTTP::Cookies)
      1 perl(HTTP::Headers)
      1 perl(HTTP::Request)
      1 perl(HTTP::Request::Common)
      1 perl(LWP::Simple)
      2 perl(LWP::UserAgent)
      1 perl(:MODULE_COMPAT_5.14.2)
      2 perl(Net::Google::AuthSub)
      1 perl(Net::Google::Calendar::Base)
      1 perl(Net::Google::Calendar::Calendar)
      1 perl(Net::Google::Calendar::Comments)
      1 perl(Net::Google::Calendar::Entry)
      1 perl(Net::Google::Calendar::FeedLink)
      1 perl(Net::Google::Calendar::Person)
      1 perl(strict)
      1 perl(Test::More)
      2 perl(URI)
      2 perl(URI::Escape)
      1 perl(vars)
      1 perl(XML::Atom)
      1 perl(XML::Atom) >= 0.37
      1 perl(XML::Atom::Entry)
      1 perl(XML::Atom::Feed)
      1 perl(XML::Atom::Link)
      1 perl(XML::Atom::Person)
      1 perl(XML::Atom::Thing)
      1 perl(XML::Atom::Util)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1

TODO: Remove explicit Requires that are found automatically: perl(DateTime), perl(LWP::UserAgent), perl(Net::Google::AuthSub), perl(URI), perl(URI::Escape).
TODO: Filter under-specified (unversioned) `perl(XML::Atom)' from run-time dependencies.

FIX: Remove unneeded `perl(Test::More)' from run-time dependencies.
FIX: Run-require `perl(Encode)' (lib/Net/Google/Calendar.pm:798).

$ rpm -q --provides -p ../RPMS/noarch/perl-Net-Google-Calendar-1.0-1.fc18.noarch.rpm |sort | uniq -c 
      1 perl(Net::Google::Calendar) = 1.0
      1 perl-Net-Google-Calendar = 1.0-1.fc18
      1 perl(Net::Google::Calendar::Base)
      1 perl(Net::Google::Calendar::Calendar)
      1 perl(Net::Google::Calendar::Comments)
      1 perl(Net::Google::Calendar::Entry)
      1 perl(Net::Google::Calendar::FeedLink)
      1 perl(Net::Google::Calendar::Person)
      1 perl(Net::Google::Calendar::WebContent)
Binary provides are Ok.

$ resolvedeps rawhide  ../RPMS/noarch/perl-Net-Google-Calendar-1.0-1.fc18.noarch.rpm 
Binary dependencies resolvable. Ok.

$ rpmlint perl-Net-Google-Calendar.spec ../SRPMS/perl-Net-Google-Calendar-1.0-1.fc18.src.rpm  ../RPMS/noarch/perl-Net-Google-Calendar-1.0-1.fc18.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is Ok.

Package builds in F18 (http://koji.fedoraproject.org/koji/taskinfo?taskID=4035410). Ok.

Otherwise package is in line with Fedora and Perl packaging guidelines.


Please correct all `FIX' prefixed issues, consider fixing `TODO' items and provide new spec file.

Resolution: Package NOT approved.

Comment 3 Avi Alkalay 2013-01-03 09:11:12 UTC
Fixed.

Please check updated SPEC at:
http://avi.alkalay.net/software/perl-Net-Google-Calendar/

Thank you in advance for reviewing.

Comment 4 Avi Alkalay 2013-01-03 09:39:50 UTC
Fixed.

Please check updated SPEC at:
http://avi.alkalay.net/software/perl-Net-Google-Calendar/

Thank you in advance for reviewing.

Comment 5 Petr Pisar 2013-01-04 10:26:05 UTC
Spec file changes:

--- perl-Net-Google-Calendar.spec.old   2012-03-05 19:27:13.000000000 +0100
+++ perl-Net-Google-Calendar.spec       2013-01-03 10:10:06.000000000 +0100
@@ -1,12 +1,12 @@
 Name:           perl-Net-Google-Calendar
 Version:        1.0
-Release:        1%{?dist}
-Summary:        Programmatic access to Google's Calendar API
+Release:        2%{?dist}
+Summary:        Programmatic access to Google Calendars
 License:        GPL+ or Artistic
 Group:          Development/Libraries
 URL:            http://search.cpan.org/dist/Net-Google-Calendar/
 Source0:        http://www.cpan.org/authors/id/S/SI/SIMONW/Net-Google-Calendar-%{version}.tar.gz
-BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+#BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildArch:      noarch
 BuildRequires:  perl(DateTime)
 BuildRequires:  perl(LWP::UserAgent)
@@ -16,27 +16,49 @@
 BuildRequires:  perl(URI)
 BuildRequires:  perl(URI::Escape)
 BuildRequires:  perl(XML::Atom) >= 0.37
-Requires:       perl(DateTime)
-Requires:       perl(LWP::UserAgent)
-Requires:       perl(Net::Google::AuthSub)
+BuildRequires:  perl(XML::Atom::Feed)
+BuildRequires:  perl(XML::Atom::Entry)
+BuildRequires:  perl(LWP::Simple)
+BuildRequires:  perl(LWP::Simple)
+BuildRequires:  perl(XML::Atom::Util)
+BuildRequires:  perl(XML::Atom::Person)
+BuildRequires:  perl(Data::Dumper)
+BuildRequires:  perl(HTTP::Cookies)
+BuildRequires:  perl(HTTP::Request)
+BuildRequires:  perl(HTTP::Headers)
+BuildRequires:  perl(HTTP::Request::Common)
+BuildRequires:  perl(Carp)
+BuildRequires:  perl(base)
+BuildRequires:  perl(Encode)
+BuildRequires:  perl(lib)
+BuildRequires:  perl(Test::Pod)
+BuildRequires:  perl(Test::Pod::Coverage)
 Requires:       perl(Test::More)
-Requires:       perl(URI)
-Requires:       perl(URI::Escape)
 Requires:       perl(XML::Atom) >= 0.37
 Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

 %description
-Interact with Google's new calendar using the GData API.
+Interact with Google Calendars using the GData API.

 %prep
 %setup -q -n Net-Google-Calendar-%{version}

 %build
+# Unset typical variables found in Perl developers environment that can interfere with the RPM build
+unset PERL5LIB
+unset PERL_LOCAL_LIB_ROOT
+unset PERL_MB_OPT
+unset PERL_MM_OPT
+
 %{__perl} Build.PL installdirs=vendor
 ./Build

 %install
-rm -rf $RPM_BUILD_ROOT
+# Unset typical variables found in Perl developers environment that can interfere with the RPM build
+unset PERL5LIB
+unset PERL_LOCAL_LIB_ROOT
+unset PERL_MB_OPT
+unset PERL_MM_OPT

 ./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
 find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
@@ -46,15 +68,14 @@
 %check
 ./Build test

-%clean
-rm -rf $RPM_BUILD_ROOT
-
 %files
-%defattr(-,root,root,-)
-%doc Changes Readme TODO USAGE
+%doc Changes TODO USAGE bin/google-calendar
 %{perl_vendorlib}/*
 %{_mandir}/man3/*

 %changelog
+* Thu Jan 03 2013 Avi Alkalay <avi@unix.sh> 1.0-2
+- Fixing issues according to https://bugzilla.redhat.com/show_bug.cgi?id=800105#c1
+
 * Fri Mar 02 2012 Avi Alkalay <avi@unix.sh> 1.0-1
 - Specfile autogenerated by cpanspec 1.78.


> TODO: Remove the unneeded BuildRoot tag.
-BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+#BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
TODO: The code is useless, just remove it.

> FIX: Build-require `perl(XML::Atom::Link) for running tests (lib/Net/Google/Calendar/WebContent.pm:5)
+BuildRequires:  perl(XML::Atom::Util)
Ok.

> TODO: Build-require `perl(base) for running tests because this module can dual-live in the future (lib/Net/Google/Calendar/WebContent.pm:8)
+BuildRequires:  perl(base)
Ok.

> FIX: Build-require `perl(XML::Atom::Feed)' for running tests (lib/Net/Google/Calendar/FeedLink.pm:4)
+BuildRequires:  perl(XML::Atom::Feed)
Ok.

> FIX: Build-require `perl(XML::Atom::Entry)' for running tests (lib/Net/Google/Calendar/FeedLink.pm:5)
+BuildRequires:  perl(XML::Atom::Entry)
Ok.

> FIX: Build-require `perl(LWP::Simple)' for running tests (lib/Net/Google/Calendar/FeedLink.pm:7)
+BuildRequires:  perl(LWP::Simple)
+BuildRequires:  perl(LWP::Simple)
Ok.
TODO: You don't need to declare it twice. Just remove one line.

> FIX: Build-require `perl(XML::Atom::Thing)' for running tests (lib/Net/Google/Calendar/Base.pm:4)
FIX: Not addressed, please add it.

> FIX: Build-require `perl(XML::Atom::Util)' for running tests (lib/Net/Google/Calendar/Base.pm:5)
+BuildRequires:  perl(XML::Atom::Util)
Ok.

> FIX: Build-require `perl(XML::Atom::Person)' for running tests (lib/Net/Google/Calendar/Person.pm:4)
+BuildRequires:  perl(XML::Atom::Person)
Ok.

> FIX: Build-require `perl(Data::Dumper)' for running tests (lib/Net/Google/Calendar/Entry.pm:4)
+BuildRequires:  perl(Data::Dumper)
Ok.

> FIX: Build-require `perl(HTTP::Cookies)' for running tests (lib/Net/Google/Calendar.pm:5)
+BuildRequires:  perl(HTTP::Cookies)
Ok.

> FIX: Build-require `perl(HTTP::Request)' for running tests (lib/Net/Google/Calendar.pm:6)
+BuildRequires:  perl(HTTP::Request)
Ok.

> FIX: Build-require `perl(HTTP::Headers)' for running tests (lib/Net/Google/Calendar.pm:7)
+BuildRequires:  perl(HTTP::Headers)
Ok.

> FIX: Build-require `perl(HTTP::Request::Common)' for running tests (lib/Net/Google/Calendar.pm:8)
+BuildRequires:  perl(HTTP::Request::Common)
Ok.

> FIX: Build-require `perl(Carp)' for running tests (lib/Net/Google/Calendar.pm:18)
+BuildRequires:  perl(Carp)
Ok.

> TODO: Build-require `perl(Encode) for running tests because this module can dual-live in the future (lib/Net/Google/Calendar.pm:798)
+BuildRequires:  perl(Encode)
Ok.

> TODO: Build-require `perl(lib)' for running tests because this module can dual-live in the future (t/02events.t:6)
+BuildRequires:  perl(lib)
Ok.

> TODO: Build-require `perl(Test::Pod) >= 1.14' for running optional tests (t/pod.t:7)
+BuildRequires:  perl(Test::Pod)
Ok.

> TODO: Build-require `perl(Test::Pod::Coverage) >= 1.04' for running optional tests (t/pod-coverage.t:6)
+BuildRequires:  perl(Test::Pod::Coverage)
Ok.

> TODO: Remove unneeded `rm -rf $RPM_BUILD_ROOT' command from %install section
-rm -rf $RPM_BUILD_ROOT
Ok.

> TODO: Remove unneeded %clean section
-%clean
-rm -rf $RPM_BUILD_ROOT
Ok.

> TODO: Remove unneeded %defattr macro from %files section
-%defattr(-,root,root,-)
Ok.

> TODO: Do not package `Readme' file as it deliver instruction for packager, not for the user or developer.
-%doc Changes Readme TODO USAGE
+%doc Changes TODO USAGE bin/google-calendar
Ok

$ rpmlint perl-Net-Google-Calendar.spec ../SRPMS/perl-Net-Google-Calendar-1.0-2.fc19.src.rpm ../RPMS/noarch/perl-Net-Google-Calendar-1.0-2.fc19.noarch.rpm 
perl-Net-Google-Calendar.spec:9: W: macro-in-comment %{_tmppath}
perl-Net-Google-Calendar.spec:9: W: macro-in-comment %{name}
perl-Net-Google-Calendar.spec:9: W: macro-in-comment %{version}
perl-Net-Google-Calendar.spec:9: W: macro-in-comment %{release}
perl-Net-Google-Calendar.spec:9: W: macro-in-comment %{__id_u}
perl-Net-Google-Calendar.src:9: W: macro-in-comment %{_tmppath}
perl-Net-Google-Calendar.src:9: W: macro-in-comment %{name}
perl-Net-Google-Calendar.src:9: W: macro-in-comment %{version}
perl-Net-Google-Calendar.src:9: W: macro-in-comment %{release}
perl-Net-Google-Calendar.src:9: W: macro-in-comment %{__id_u}
perl-Net-Google-Calendar.noarch: E: wrong-script-interpreter /usr/share/doc/perl-Net-Google-Calendar-1.0/google-calendar perl
2 packages and 1 specfiles checked; 1 errors, 10 warnings.
FIX: Remove the commented line or escape each per-cent character with another per-cent. SPEC macros expand even in comments.

$ rpm -q -lv -p ../RPMS/noarch/perl-Net-Google-Calendar-1.0-2.fc19.noarch.rpm 
drwxr-xr-x    2 root    root                        0 Jan  4 10:58 /usr/share/doc/perl-Net-Google-Calendar-1.0
-rw-r--r--    1 root    root                     2896 Jul 20  2010 /usr/share/doc/perl-Net-Google-Calendar-1.0/Changes
-rw-r--r--    1 root    root                      197 Jul 20  2010 /usr/share/doc/perl-Net-Google-Calendar-1.0/TODO
-rw-r--r--    1 root    root                      291 Jul 20  2010 /usr/share/doc/perl-Net-Google-Calendar-1.0/USAGE
-rw-r--r--    1 root    root                     5147 Jul 20  2010 /usr/share/doc/perl-Net-Google-Calendar-1.0/google-calendar
-rw-r--r--    1 root    root                     6405 Jan  4 10:57 /usr/share/man/man3/Net::Google::Calendar.3pm.gz
-rw-r--r--    1 root    root                     1818 Jan  4 10:57 /usr/share/man/man3/Net::Google::Calendar::Base.3pm.gz
-rw-r--r--    1 root    root                     2183 Jan  4 10:57 /usr/share/man/man3/Net::Google::Calendar::Calendar.3pm.gz
-rw-r--r--    1 root    root                     2283 Jan  4 10:57 /usr/share/man/man3/Net::Google::Calendar::Comments.3pm.gz
-rw-r--r--    1 root    root                     3665 Jan  4 10:57 /usr/share/man/man3/Net::Google::Calendar::Entry.3pm.gz
-rw-r--r--    1 root    root                     2458 Jan  4 10:57 /usr/share/man/man3/Net::Google::Calendar::FeedLink.3pm.gz
-rw-r--r--    1 root    root                     2144 Jan  4 10:57 /usr/share/man/man3/Net::Google::Calendar::Person.3pm.gz
-rw-r--r--    1 root    root                     2728 Jan  4 10:57 /usr/share/man/man3/Net::Google::Calendar::WebContent.3pm.gz
drwxr-xr-x    2 root    root                        0 Jan  4 10:57 /usr/share/perl5/vendor_perl/Net
drwxr-xr-x    2 root    root                        0 Jan  4 10:57 /usr/share/perl5/vendor_perl/Net/Google
drwxr-xr-x    2 root    root                        0 Jan  4 10:57 /usr/share/perl5/vendor_perl/Net/Google/Calendar
-rw-r--r--    1 root    root                    20758 Jan  4 10:57 /usr/share/perl5/vendor_perl/Net/Google/Calendar.pm
-rw-r--r--    1 root    root                     1049 Jan  4 10:57 /usr/share/perl5/vendor_perl/Net/Google/Calendar/Base.pm
-rw-r--r--    1 root    root                     3209 Jan  4 10:57 /usr/share/perl5/vendor_perl/Net/Google/Calendar/Calendar.pm
-rw-r--r--    1 root    root                     2231 Jan  4 10:57 /usr/share/perl5/vendor_perl/Net/Google/Calendar/Comments.pm
-rw-r--r--    1 root    root                    16568 Jan  4 10:57 /usr/share/perl5/vendor_perl/Net/Google/Calendar/Entry.pm
-rw-r--r--    1 root    root                     3424 Jan  4 10:57 /usr/share/perl5/vendor_perl/Net/Google/Calendar/FeedLink.pm
-rw-r--r--    1 root    root                     2822 Jan  4 10:57 /usr/share/perl5/vendor_perl/Net/Google/Calendar/Person.pm
-rw-r--r--    1 root    root                     5565 Jan  4 10:57 /usr/share/perl5/vendor_perl/Net/Google/Calendar/WebContent.pm
File layout and permissions are Ok.

> TODO: Package bin/google-calendar or remove the USAGE file.
Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-Net-Google-Cale[test@fedora-19 SPECS]$ rpm -q --requires -p ../RPMS/noarch/perl-Net-Google-Calendar-1.0-2.fc19.noarch.rpm |sort | uniq -c
      1 perl(base)
      1 perl(Carp)
      1 perl(Data::Dumper)
      1 perl(DateTime)
      1 perl(HTTP::Cookies)
      1 perl(HTTP::Headers)
      1 perl(HTTP::Request)
      1 perl(HTTP::Request::Common)
      1 perl(LWP::Simple)
      1 perl(LWP::UserAgent)
      1 perl(:MODULE_COMPAT_5.16.2)
      1 perl(Net::Google::AuthSub)
      1 perl(Net::Google::Calendar::Base)
      1 perl(Net::Google::Calendar::Calendar)
      1 perl(Net::Google::Calendar::Comments)
      1 perl(Net::Google::Calendar::Entry)
      1 perl(Net::Google::Calendar::FeedLink)
      1 perl(Net::Google::Calendar::Person)
      1 perl(strict)
      1 perl(Test::More)
      1 perl(URI)
      1 perl(URI::Escape)
      1 perl(vars)
      1 perl(XML::Atom)
      1 perl(XML::Atom) >= 0.37
      1 perl(XML::Atom::Entry)
      1 perl(XML::Atom::Feed)
      1 perl(XML::Atom::Link)
      1 perl(XML::Atom::Person)
      1 perl(XML::Atom::Thing)
      1 perl(XML::Atom::Util)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
> TODO: Remove explicit Requires that are found automatically: perl(DateTime), perl(LWP::UserAgent), perl(Net::Google::AuthSub), perl(URI), perl(URI::Escape).
Ok.

> TODO: Filter under-specified (unversioned) `perl(XML::Atom)' from run-time dependencies.
Not addressed. Ok.

> FIX: Remove unneeded `perl(Test::More)' from run-time dependencies.
FIX: Test::More is not needed at run-time. Remove it.

> FIX: Run-require `perl(Encode)' (lib/Net/Google/Calendar.pm:798).
TODO: I strongly recommend declare this run-time dependency because it will dual-live very soon.

$ resolvedeps rawhide ../RPMS/noarch/perl-Net-Google-Calendar-1.0-2.fc19.noarch.rpm 
Binary dependencies resolvable. Ok.

Package builds in F19 (http://koji.fedoraproject.org/koji/taskinfo?taskID=4838651). Ok.


Please correct all `FIX' issues, consider fixing `TODO' items, and provide new spec file.

Resolution: Package NOT approved.

Comment 6 Ken Dreyer 2013-09-13 13:09:02 UTC
Hi Avi, it's been a while since you replied on this bug. Are you still interested in packaging this for Fedora?

Comment 7 Petr Pisar 2014-07-18 13:45:12 UTC
Ken, feel free to submit a new review request.


Note You need to log in before you can comment on or make changes to this bug.